﻿$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'raspirus_1.1.1_x64_en-US.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  file         = $fileLocation
  softwareName  = 'raspirus'
  checksum      = 'B78058AA85F8A690D311A82922BA2C2BCD3633E5E06ABBE0B295FEC7B98F1D1E'
  checksumType  = 'sha256'
  checksum64    = 'B78058AA85F8A690D311A82922BA2C2BCD3633E5E06ABBE0B295FEC7B98F1D1E'
  checksumType64= 'sha256'
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyInstallPackage @packageArgs

















